org.apache.lucene.codecs

## Class FieldInfosWriter

- java.lang.Object
- - org.apache.lucene.codecs.FieldInfosWriter

-     public abstract class FieldInfosWriter
      extends Object

  Codec API for writing `FieldInfos`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FieldInfosWriter()` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `write(Directory directory, String segmentName, FieldInfos infos, IOContext context)` Writes the provided `FieldInfos` to the directory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldInfosWriter

          protected FieldInfosWriter()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### write

          public abstract void write(Directory directory,
                   String segmentName,
                   FieldInfos infos,
                   IOContext context)
                              throws IOException

      Writes the provided `FieldInfos` to the directory.
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.